<?php $__env->startSection('title', admin_lang('Edit Plan') . ' | ' . $plan->name); ?>
<?php $__env->startSection('container', 'container-max-lg'); ?>
<?php $__env->startSection('back', route('admin.plans.index')); ?>
<?php $__env->startSection('content'); ?>
    <form id="vironeer-submited-form" action="<?php echo e(route('admin.plans.update', $plan->id)); ?>" method="POST">
        <?php echo csrf_field(); ?>
        <?php echo method_field('PUT'); ?>
        <div class="card custom-card mb-4">
            <div class="card-header bg-primary text-white">
                <?php echo e(admin_lang('Plan details')); ?>

            </div>
            <ul id="customFeatures" class="custom-list-group list-group list-group-flush">
                <li class="list-group-item">
                    <div class="row g-2 align-items-center">
                        <div class="col-12 col-lg-6">
                            <label class="col-form-label"><strong><?php echo e(admin_lang('Plan Name')); ?> : <span
                                        class="red">*</span></strong></label>
                        </div>
                        <div class="col-12 col-lg-2">
                            <input type="checkbox" name="is_featured" class="form-check-input"
                                <?php echo e($plan->isFeatured() ? 'checked' : ''); ?>>
                            <label><?php echo e(admin_lang('Featured plan')); ?></label>
                        </div>
                        <div class="col col-lg-4">
                            <input type="text" name="name" class="form-control" required value="<?php echo e($plan->name); ?>"
                                placeholder="<?php echo e(admin_lang('Enter plan name')); ?>" autofocus>
                        </div>
                    </div>
                </li>
                <li class="list-group-item">
                    <div class="row g-2 align-items-center">
                        <div class="col-12 col-lg-8">
                            <label class="col-form-label d-block"><strong><?php echo e(admin_lang('Short description')); ?> : <span
                                        class="red">*</span></strong></label>
                        </div>
                        <div class="col-12 col-lg-4">
                            <textarea name="short_description" class="form-control" required placeholder="<?php echo e(admin_lang('Max 150 character')); ?>"><?php echo e($plan->short_description); ?></textarea>
                        </div>
                    </div>
                </li>
                <li class="list-group-item">
                    <div class="row g-2 align-items-center">
                        <div class="col-12 col-lg-8">
                            <label class="col-form-label"><strong><?php echo e(admin_lang('Plan Interval')); ?> :
                                </strong></strong></label>
                        </div>
                        <div class="col col-lg-4">
                            <select class="form-select" disabled required>
                                <option value="1" <?php echo e(old('interval') == 1 ? 'selected' : ''); ?>>
                                    <?php echo e(admin_lang('Monthly')); ?>

                                </option>
                                <option value="2" <?php echo e(old('interval') == 2 ? 'selected' : ''); ?>>
                                    <?php echo e(admin_lang('Yearly')); ?>

                                </option>
                            </select>
                        </div>
                    </div>
                </li>
                <li class="list-group-item">
                    <div class="row g-2 align-items-center">
                        <div class="col-12 col-lg-6">
                            <label class="col-form-label"><strong><?php echo e(admin_lang('Plan Price')); ?> : <span
                                        class="red">*</span></strong></strong></label>
                        </div>
                        <div class="col-12 col-lg-2">
                            <input type="checkbox" name="is_free" class="free-plan-checkbox form-check-input"
                                <?php echo e($plan->isFree() ? 'checked' : ''); ?>>
                            <label><?php echo e(admin_lang('Free')); ?></label>
                        </div>
                        <div class="col col-lg-4">
                            <div class="custom-input-group input-group plan-price">
                                <input type="text" name="price" class="form-control input-price"
                                    value="<?php echo e(price($plan->price)); ?>" placeholder="0.00" required
                                    <?php echo e($plan->isFree() ? 'disabled' : ''); ?> />
                                <span
                                    class="input-group-text <?php echo e($plan->isFree() ? 'disabled' : ''); ?>"><strong><?php echo e($settings->currency->code); ?></strong></span>
                            </div>
                        </div>
                    </div>
                </li>
                <li class="plan-require-login list-group-item <?php echo e($plan->isFree() ? '' : 'd-none'); ?>">
                    <div class="row align-items-center">
                        <div class="col-8 col-lg-8">
                            <label class="col-form-label d-block"><strong><?php echo e(admin_lang('Require Login')); ?> :
                                </strong></label>
                            <small><?php echo e(admin_lang('Without login, the guests will be able to generate the images.')); ?></small>
                        </div>
                        <div class="col-4 col-lg-4">
                            <input type="checkbox" name="login_require" data-toggle="toggle"
                                data-on="<?php echo e(admin_lang('Yes')); ?>" data-off="<?php echo e(admin_lang('No')); ?>"
                                <?php echo e($plan->login_require ? 'checked' : ''); ?>>
                        </div>
                    </div>
                </li>
                <li class="list-group-item">
                    <div class="row g-2 align-items-center">
                        <div class="col-12 col-lg-8">
                            <label class="col-form-label d-block"><strong><?php echo e(admin_lang('Total Images')); ?> : <span
                                        class="red">*</span></strong></label>
                            <small><?php echo e(admin_lang('Total images that users or guests can generate every month or year.')); ?></small>
                        </div>
                        <div class="col-12 col-lg-4">
                            <input type="number" name="images" class="form-control" placeholder="0"
                                value="<?php echo e($plan->images); ?>" min="1" required>
                        </div>
                    </div>
                </li>
                <li class="list-group-item">
                    <div class="row g-2 align-items-center">
                        <div class="col-12 col-lg-8">
                            <label class="col-form-label d-block"><strong><?php echo e(admin_lang('Max Images For Every Request')); ?>

                                    : <span class="red">*</span></strong></label>
                            <small>
                                <?php echo e(admin_lang('How many images can be generated on every request.')); ?>

                                <?php if(apiProvider()): ?>
                                    (<?php echo e(apiProvider()->name . ' ' . admin_lang('Max images is') . ' ' . apiProvider()->max); ?>)
                                <?php endif; ?>
                            </small>
                        </div>
                        <div class="col-12 col-lg-4">
                            <input type="number" name="max_images" class="form-control" placeholder="0"
                                value="<?php echo e($plan->max_images); ?>" min="1"
                                max="<?php echo e(apiProvider() ? apiProvider()->max : ''); ?>" required>
                        </div>
                    </div>
                </li>
                <li class="list-group-item">
                    <div class="row g-2 align-items-center">
                        <div class="col-12 col-lg-6">
                            <label class="col-form-label d-block"><strong><?php echo e(admin_lang('Expiration')); ?> : <span
                                        class="red">*</span></strong></strong></label>
                            <small><?php echo e(admin_lang('When will generated images expire.')); ?></small>
                        </div>
                        <div class="col-12 col-lg-2">
                            <input type="checkbox" name="no_expiration" class="form-check-input plan-expiration"
                                <?php echo e(!$plan->expiration ? 'checked' : ''); ?>>
                            <label><?php echo e(admin_lang('Unlimited time')); ?></label>
                        </div>
                        <div class="col col-lg-4">
                            <div class="custom-input-group input-group plan-expiration-input">
                                <input type="text" name="expiration" class="form-control"
                                    value="<?php echo e($plan->expiration); ?>" placeholder="0" required
                                    <?php echo e(!$plan->expiration ? 'disabled' : ''); ?> />
                                <span class="input-group-text"><strong><?php echo e(admin_lang('Days')); ?></strong></span>
                            </div>
                        </div>
                    </div>
                </li>
                <li class="list-group-item">
                    <div class="row g-2 align-items-center">
                        <div class="col-12 col-lg-7">
                            <label class="col-form-label d-block"><strong><?php echo e(admin_lang('Image Sizes')); ?>

                                    : <span class="red">*</span></strong></label>
                            <small><?php echo e(admin_lang('Enter the allowed sizes for this plan for example (512x512, 1024x1024, etc...) the size must be supported by the API provider and it must be in format (WidthxHeight) in max (4000x4000) or it will not work.')); ?></small>
                        </div>
                        <div class="col-12 col-lg-5">
                            <input id="tagsInput" type="text" name="sizes" class="form-control"
                                placeholder="<?php echo e(admin_lang('Enter the sizes')); ?>"
                                value="<?php echo e(implode(',', $plan->sizes)); ?>">
                        </div>
                    </div>
                </li>
                <li class="list-group-item">
                    <div class="row align-items-center">
                        <div class="col-8 col-lg-8">
                            <label class="col-form-label d-block"><strong><?php echo e(admin_lang('Show advertisements')); ?> :
                                </strong></label>
                            <small><?php echo e(admin_lang('Show the advertisements (Yes/No)')); ?></small>
                        </div>
                        <div class="col-4 col-lg-4">
                            <input type="checkbox" name="advertisements" data-toggle="toggle"
                                data-on="<?php echo e(admin_lang('Yes')); ?>" data-off="<?php echo e(admin_lang('No')); ?>"
                                <?php echo e($plan->advertisements ? 'checked' : ''); ?>>
                        </div>
                    </div>
                </li>
                <li class="list-group-item">
                    <div class="row align-items-center">
                        <div class="col-8 col-lg-8">
                            <label class="col-form-label d-block"><strong><?php echo e(admin_lang('Watermark')); ?> :
                                </strong></label>
                            <small><?php echo e(admin_lang('Add watermark in generated images (Yes/No)')); ?></small>
                        </div>
                        <div class="col-4 col-lg-4">
                            <input type="checkbox" name="watermark" data-toggle="toggle"
                                data-on="<?php echo e(admin_lang('Yes')); ?>" data-off="<?php echo e(admin_lang('No')); ?>"
                                <?php echo e($plan->watermark ? 'checked' : ''); ?>>
                        </div>
                    </div>
                </li>
                <?php if($plan->custom_features): ?>
                    <?php $__currentLoopData = $plan->custom_features; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <li id="customFeature<?php echo e($key); ?>" class="list-group-item">
                            <div class="row g-2 align-items-center">
                                <div class="col">
                                    <input type="text" name="custom_features[<?php echo e($key); ?>][name]"
                                        placeholder="<?php echo e(admin_lang('Enter name')); ?>" class="form-control"
                                        value="<?php echo e($value->name); ?>" required>
                                </div>
                                <div class="col-auto">
                                    <button type="button" data-id="<?php echo e($key); ?>"
                                        class="removeFeature btn btn-danger"><i class="fa fa-trash-alt"></i></button>
                                </div>
                            </div>
                        </li>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                <?php endif; ?>
            </ul>
        </div>
        <button type="button" id="addCustomFeature" class="btn btn-primary"><i
                class="fa fa-plus me-2"></i><?php echo e(admin_lang('Add custom feature')); ?></button>
    </form>
    <?php $__env->startPush('styles_libs'); ?>
        <link rel="stylesheet" href="<?php echo e(asset('assets/vendor/libs/tags-input/bootstrap-tagsinput.css')); ?>">
    <?php $__env->stopPush(); ?>
    <?php $__env->startPush('scripts_libs'); ?>
        <script src="<?php echo e(asset('assets/vendor/libs/jquery/jquery.priceformat.min.js')); ?>"></script>
        <script src="<?php echo e(asset('assets/vendor/libs/tags-input/bootstrap-tagsinput.min.js')); ?>"></script>
    <?php $__env->stopPush(); ?>
    <?php $__env->startPush('top_scripts'); ?>
        <script>
            "use strict";
            var customFeatureI = <?php echo e($plan->custom_features ? count($plan->custom_features) - 1 : -1); ?>;
        </script>
    <?php $__env->stopPush(); ?>
    <?php $__env->startPush('scripts'); ?>
        <script>
            "use strict";
            $(function() {
                let tagsInput = $('#tagsInput');
                tagsInput.tagsinput({
                    cancelConfirmKeysOnEmpty: false
                });
                tagsInput.on('beforeItemAdd', function(event) {
                    if (!/^(25[6-9]|[3-9]\d{2}|[1-3]\d{3}|4000)x(25[6-9]|[3-9]\d{2}|[1-3]\d{3}|4000)$/.test(
                            event.item)) {
                        event.cancel = true;
                        toastr.error('<?php echo e(admin_lang('The size format is invalid')); ?>');
                    }
                });
            });
        </script>
    <?php $__env->stopPush(); ?>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('backend.layouts.form', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/duceqbfx/nexli.xyz/Application/resources/views/backend/plans/edit.blade.php ENDPATH**/ ?>