<?php $__env->startSection('title', admin_lang('Plugins')); ?>
<?php $__env->startSection('add_modal', admin_lang('Install New Plugin')); ?>
<?php $__env->startSection('content'); ?>
    <div class="custom-card card">
        <table id="datatable" class="table w-100">
            <thead>
                <tr>
                    <th class="tb-w-1x">#</th>
                    <th class="tb-w-3x"><?php echo e(admin_lang('Logo')); ?></th>
                    <th class="tb-w-7x"><?php echo e(admin_lang('Name')); ?></th>
                    <th class="tb-w-3x"><?php echo e(admin_lang('Version')); ?></th>
                    <th class="tb-w-3x"><?php echo e(admin_lang('Status')); ?></th>
                    <th class="tb-w-7x"><?php echo e(admin_lang('Added at')); ?></th>
                    <th></th>
                </tr>
            </thead>
            <tbody>
                <?php $__currentLoopData = $plugins; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $plugin): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <tr class="item">
                        <td><?php echo e($plugin->id); ?></td>
                        <td><a href="<?php echo e(route('admin.system.plugins.edit', $plugin->id)); ?>">
                                <img src="<?php echo e($plugin->logo); ?>" alt="<?php echo e($plugin->name); ?>" height="35">
                            </a>
                        </td>
                        <td><?php echo e($plugin->name); ?></td>
                        <td><span class="badge bg-dark"><?php echo e($plugin->version); ?></span></td>
                        <td>
                            <?php if($plugin->status): ?>
                                <span class="badge bg-success"><?php echo e(admin_lang('Active')); ?></span>
                            <?php else: ?>
                                <span class="badge bg-danger"><?php echo e(admin_lang('Disabled')); ?></span>
                            <?php endif; ?>
                        </td>
                        <td><?php echo e(dateFormat($plugin->created_at)); ?></td>
                        <td>
                            <div class="text-end">
                                <button type="button" class="btn btn-sm rounded-3" data-bs-toggle="dropdown"
                                    aria-expanded="true">
                                    <i class="fa fa-ellipsis-v fa-sm text-muted"></i>
                                </button>
                                <ul class="dropdown-menu dropdown-menu-sm-end" data-popper-placement="bottom-end">
                                    <li>
                                        <a class="dropdown-item"
                                            href="<?php echo e(route('admin.system.plugins.edit', $plugin->id)); ?>"><i
                                                class="fa fa-edit me-2"></i><?php echo e(admin_lang('Edit')); ?></a>
                                    </li>
                                    <?php if($plugin->action_text): ?>
                                        <li>
                                            <hr class="dropdown-divider" />
                                        </li>
                                        <li>
                                            <a class="dropdown-item" href="<?php echo e(url($plugin->action_link)); ?>"><i
                                                    class="fas fa-external-link-alt me-2"></i><?php echo e($plugin->action_text); ?></a>
                                        </li>
                                    <?php endif; ?>
                                </ul>
                            </div>
                        </td>
                    </tr>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </tbody>
        </table>
    </div>
    <div class="modal fade" id="addModal" tabindex="-1" aria-labelledby="addModallLabel" aria-hidden="true">
        <div class="modal-dialog modal-lg">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title" id="addModalLabel"><?php echo e(admin_lang('Install New Plugin')); ?></h5>
                    <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
                </div>
                <div class="modal-body">
                    <form id="addNewForm" action="<?php echo e(route('admin.system.plugins.store')); ?>" method="POST"
                        enctype="multipart/form-data">
                        <?php echo csrf_field(); ?>
                        <div class="mb-3">
                            <label class="form-label"><?php echo e(admin_lang('Plugin Purchase Code')); ?> : <span
                                    class="red">*</span></label>
                            <input type="text" name="purchase_code" class="form-control"
                                placeholder="<?php echo e(admin_lang('Purchase code')); ?>" required>
                        </div>
                        <div class="mb-3">
                            <label class="form-label"><?php echo e(admin_lang('Plugin Files (Zip)')); ?> : <span
                                    class="red">*</span></label>
                            <input type="file" name="plugin_files" class="form-control" accept=".zip" required>
                        </div>
                    </form>
                </div>
                <div class="modal-footer">
                    <button form="addNewForm" class="btn btn-primary"><?php echo e(admin_lang('Install Now')); ?></button>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('backend.layouts.grid', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/duceqbfx/nexli.xyz/Application/resources/views/backend/system/plugins/index.blade.php ENDPATH**/ ?>