<?php $__env->startSection('title', lang('Contact Us', 'pages')); ?>
<?php $__env->startSection('content'); ?>
    <?php echo ads_other_pages_top(); ?>

    <div class="section-header mb-5">
        <h1 class="mb-3"><?php echo e(lang('Contact Us', 'pages')); ?></h1>
        <p class="fw-light text-muted col-lg-7 mb-0">You can submit your message through a contact form, and the team will respond to your queries.</p>
    </div>
    <div class="section-body">
        <div class="contact-us">
            <div class="card-v">
                <form action="<?php echo e(route('contact')); ?>" method="POST">
                    <?php echo csrf_field(); ?>
                    <div class="row row-cols-1 g-3 row-cols-md-2 gx-3 mb-3">
                        <div class="col">
                            <label class="form-label"><?php echo e(lang('Name', 'forms')); ?></label>
                            <input type="text" name="name" class="form-control form-control-md"
                                value="<?php echo e(userAuthInfo()->name ?? old('name')); ?>" required />
                        </div>
                        <div class="col">
                            <label class="form-label"><?php echo e(lang('Email address', 'forms')); ?></label>
                            <input type="email" name="email" class="form-control form-control-md"
                                value="<?php echo e(userAuthInfo()->email ?? old('email')); ?>" required />
                        </div>
                    </div>
                    <div class="mb-3">
                        <label class="form-label"><?php echo e(lang('Subject', 'forms')); ?></label>
                        <input type="text" name="subject" class="form-control form-control-md"
                            value="<?php echo e(old('subject')); ?>" required />
                    </div>
                    <div class="mb-3">
                        <label class="form-label"><?php echo e(lang('Message', 'forms')); ?></label>
                        <textarea type="text" name="message"class="form-control" rows="8" required><?php echo e(old('message')); ?></textarea>
                    </div>
                    <?php echo display_captcha(); ?>

                    <button class="btn btn-primary btn-md"><i
                            class="far fa-paper-plane me-2"></i><?php echo e(lang('Send', 'pages')); ?></button>
                </form>
            </div>
        </div>
    </div>
    <?php echo ads_other_pages_bottom(); ?>

    <?php $__env->startPush('scripts'); ?>
        <?php echo google_captcha(); ?>

    <?php $__env->stopPush(); ?>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('frontend.layouts.single', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/belophhp/public_html/Application/resources/views/frontend/contact.blade.php ENDPATH**/ ?>