<?php $__env->startSection('title', admin_lang('General Settings')); ?>
<?php $__env->startSection('section', admin_lang('Settings')); ?>
<?php $__env->startSection('content'); ?>
    <form id="vironeer-submited-form" action="<?php echo e(route('admin.settings.general.update')); ?>" method="POST"
        enctype="multipart/form-data">
        <?php echo csrf_field(); ?>
        <div class="card mb-3">
            <div class="card-header">
                <?php echo e(admin_lang('General')); ?>

            </div>
            <div class="card-body">
                <div class="row g-3 mb-3">
                    <div class="col-lg-6">
                        <label class="form-label"><?php echo e(admin_lang('Site Name')); ?> : <span class="red">*</span></label>
                        <input type="text" name="general[site_name]" class="form-control"
                            value="<?php echo e($settings->general->site_name); ?>" required>
                    </div>
                    <div class="col-lg-6">
                        <label class="form-label"><?php echo e(admin_lang('Site URL')); ?> : <span class="red">*</span></label>
                        <input type="text" name="general[site_url]" class="form-control"
                            value="<?php echo e($settings->general->site_url); ?>" required>
                    </div>
                    <div class="col-lg-6">
                        <label class="form-label"><?php echo e(admin_lang('Contact email')); ?> : <span class="red">*</span></label>
                        <input type="text" name="general[contact_email]" class="form-control"
                            value="<?php echo e($settings->general->contact_email); ?>" required>
                    </div>
                    <div class="col-lg-6">
                        <label class="form-label"><?php echo e(admin_lang('Terms of service')); ?> : <small
                                class="text-muted">(<?php echo e(admin_lang('Used on registration & cookies')); ?>)</small></label>
                        <input type="text" name="general[terms_of_service_link]" class="form-control"
                            value="<?php echo e($settings->general->terms_of_service_link); ?>">
                    </div>
                    <div class="col-lg-6">
                        <label class="form-label"><?php echo e(admin_lang('Date format')); ?> : <span class="red">*</span></label>
                        <select name="general[date_format]" class="form-select">
                            <?php $__currentLoopData = dateFormatsArray(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $formatKey => $formatValue): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($formatKey); ?>"
                                    <?php echo e($formatKey == $settings->general->date_format ? 'selected' : ''); ?>>
                                    <?php echo e(\Carbon\Carbon::now()->format($formatValue)); ?>

                                </option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </select>
                    </div>
                    <div class="col-lg-6">
                        <label class="form-label"><?php echo e(admin_lang('Timezone')); ?> : <span class="red">*</span></label>
                        <select name="general[timezone]" class="form-select">
                            <?php $__currentLoopData = timezonesArray(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $timezoneKey => $timezoneValue): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option value="<?php echo e($timezoneKey); ?>"
                                    <?php echo e($timezoneKey == $settings->general->timezone ? 'selected' : ''); ?>>
                                    <?php echo e($timezoneValue); ?>

                                </option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </select>
                    </div>
                </div>
            </div>
        </div>
        <div class="card mb-3">
            <div class="card-header">
                <?php echo e(admin_lang('Limits')); ?>

            </div>
            <div class="card-body">
                <div class="row g-3 mb-2">
                    <div class="col-lg-6">
                        <label class="form-label"><?php echo e(admin_lang('Home Page Images')); ?> : <span
                                class="red">*</span></label>
                        <input type="number" name="limits[home_page_images]" class="form-control"
                            value="<?php echo e($settings->limits->home_page_images); ?>" min="1" required>
                    </div>
                    <div class="col-lg-6">
                        <label class="form-label"><?php echo e(admin_lang('Explore Page Images')); ?> : <span
                                class="red">*</span></label>
                        <input type="number" name="limits[explore_page_images]" class="form-control"
                            value="<?php echo e($settings->limits->explore_page_images); ?>" min="1" required>
                    </div>
                </div>
            </div>
        </div>
        <div class="card mb-3">
            <div class="card-header">
                <?php echo e(admin_lang('Theme mode')); ?>

            </div>
            <div class="card-body">
                <div class="row g-3">
                    <div class="col-lg-6">
                        <label class="form-label"><?php echo e(admin_lang('Default Mode')); ?> : <span class="red">*</span></label>
                        <select name="theme[mode_default]" class="form-select">
                            <option value="auto" <?php echo e($settings->theme->mode_default == 'auto' ? 'selected' : ''); ?>>
                                <?php echo e(admin_lang('Auto')); ?></option>
                            <option value="light" <?php echo e($settings->theme->mode_default == 'light' ? 'selected' : ''); ?>>
                                <?php echo e(admin_lang('Light')); ?></option>
                            <option value="dark" <?php echo e($settings->theme->mode_default == 'dark' ? 'selected' : ''); ?>>
                                <?php echo e(admin_lang('Dark')); ?></option>
                        </select>
                    </div>
                    <div class="col-lg-6">
                        <label class="form-label"><?php echo e(admin_lang('Mode Switcher Button')); ?> : </label>
                        <input type="checkbox" name="theme[mode_switcher]" data-toggle="toggle"
                            <?php echo e($settings->theme->mode_switcher ? 'checked' : ''); ?>>
                    </div>
                </div>
            </div>
        </div>
        <div class="row g-3 mb-3">
            <div class="col-lg-6">
                <div class="card">
                    <div class="card-header">
                        <?php echo e(admin_lang('Currency')); ?>

                    </div>
                    <div class="card-body">
                        <div class="row g-3 mb-2">
                            <div class="col-lg-12">
                                <label class="form-label"><?php echo e(admin_lang('Currency Code')); ?> : <span
                                        class="red">*</span></label>
                                <input type="text" name="currency[code]" class="form-control"
                                    value="<?php echo e($settings->currency->code); ?>" placeholder="<?php echo e(admin_lang('USD')); ?>"
                                    required>
                            </div>
                            <div class="col-lg-12">
                                <label class="form-label"><?php echo e(admin_lang('Currency Symbol')); ?> : <span
                                        class="red">*</span></label>
                                <input type="text" name="currency[symbol]" class="form-control"
                                    value="<?php echo e($settings->currency->symbol); ?>" placeholder="<?php echo e(admin_lang('$')); ?>"
                                    required>
                            </div>
                            <div class="col-lg-12">
                                <label class="form-label"><?php echo e(admin_lang('Currency position')); ?> : <span
                                        class="red">*</span></label>
                                <select name="currency[position]" class="form-select">
                                    <option value="1" <?php echo e($settings->currency->position == 1 ? 'selected' : ''); ?>>
                                        <?php echo e(admin_lang('Before price')); ?></option>
                                    <option value="2" <?php echo e($settings->currency->position == 2 ? 'selected' : ''); ?>>
                                        <?php echo e(admin_lang('After price')); ?></option>
                                </select>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-lg-6">
                <div class="card">
                    <div class="card-header d-flex justify-content-between align-items-center">
                        <span><?php echo e(admin_lang('Subscription')); ?></span>
                        <a href="<?php echo e(route('admin.settings.mailtemplates.index')); ?>"
                            class="btn btn-secondary btn-sm"><?php echo e(admin_lang('Mail Templates')); ?></a>
                    </div>
                    <div class="card-body">
                        <div class="row g-3 mb-2">
                            <div class="col-lg-12">
                                <label class="form-label"><?php echo e(admin_lang('Subscription About to expire reminder')); ?> :
                                    <span class="red">*</span></label>
                                <select name="subscription[about_to_expire_reminder]" class="form-select">
                                    <option value="1"
                                        <?php echo e($settings->subscription->about_to_expire_reminder == 1 ? 'selected' : ''); ?>>
                                        <?php echo e(admin_lang('Before One day')); ?></option>
                                    <option value="2"
                                        <?php echo e($settings->subscription->about_to_expire_reminder == 2 ? 'selected' : ''); ?>>
                                        <?php echo e(admin_lang('Before 2 days')); ?></option>
                                    <option value="3"
                                        <?php echo e($settings->subscription->about_to_expire_reminder == 3 ? 'selected' : ''); ?>>
                                        <?php echo e(admin_lang('Before 3 days')); ?></option>
                                    <option value="7"
                                        <?php echo e($settings->subscription->about_to_expire_reminder == 7 ? 'selected' : ''); ?>>
                                        <?php echo e(admin_lang('Before 7 days')); ?></option>
                                    <option value="14"
                                        <?php echo e($settings->subscription->about_to_expire_reminder == 14 ? 'selected' : ''); ?>>
                                        <?php echo e(admin_lang('Before 14 days')); ?></option>
                                </select>
                            </div>
                            <div class="col-lg-12">
                                <label class="form-label"><?php echo e(admin_lang('Subscription Expired reminder')); ?> : <span
                                        class="red">*</span></label>
                                <select name="subscription[expired_reminder]" class="form-select">
                                    <option value="1"
                                        <?php echo e($settings->subscription->expired_reminder == 1 ? 'selected' : ''); ?>>
                                        <?php echo e(admin_lang('After One day')); ?></option>
                                    <option value="2"
                                        <?php echo e($settings->subscription->expired_reminder == 2 ? 'selected' : ''); ?>>
                                        <?php echo e(admin_lang('After 2 days')); ?></option>
                                    <option value="3"
                                        <?php echo e($settings->subscription->expired_reminder == 3 ? 'selected' : ''); ?>>
                                        <?php echo e(admin_lang('After 3 days')); ?></option>
                                    <option value="7"
                                        <?php echo e($settings->subscription->expired_reminder == 7 ? 'selected' : ''); ?>>
                                        <?php echo e(admin_lang('After 7 days')); ?></option>
                                    <option value="14"
                                        <?php echo e($settings->subscription->expired_reminder == 14 ? 'selected' : ''); ?>>
                                        <?php echo e(admin_lang('After 14 days')); ?></option>
                                </select>
                            </div>
                            <div class="col-lg-12">
                                <label class="form-label"><?php echo e(admin_lang('Delete Expired subscriptions')); ?> : <span
                                        class="red">*</span></label>
                                <select name="subscription[delete_expired]" class="form-select">
                                    <option value="3"
                                        <?php echo e($settings->subscription->delete_expired == 3 ? 'selected' : ''); ?>>
                                        <?php echo e(admin_lang('After 3 days')); ?></option>
                                    <option value="7"
                                        <?php echo e($settings->subscription->delete_expired == 7 ? 'selected' : ''); ?>>
                                        <?php echo e(admin_lang('After 7 days')); ?></option>
                                    <option value="14"
                                        <?php echo e($settings->subscription->delete_expired == 14 ? 'selected' : ''); ?>>
                                        <?php echo e(admin_lang('After 14 days')); ?></option>
                                    <option value="30"
                                        <?php echo e($settings->subscription->delete_expired == 30 ? 'selected' : ''); ?>>
                                        <?php echo e(admin_lang('After 1 Month')); ?></option>
                                    <option value="60"
                                        <?php echo e($settings->subscription->delete_expired == 60 ? 'selected' : ''); ?>>
                                        <?php echo e(admin_lang('After 3 Months')); ?></option>
                                    <option value="120"
                                        <?php echo e($settings->subscription->delete_expired == 120 ? 'selected' : ''); ?>>
                                        <?php echo e(admin_lang('After 6 Months')); ?></option>
                                    <option value="365"
                                        <?php echo e($settings->subscription->delete_expired == 365 ? 'selected' : ''); ?>>
                                        <?php echo e(admin_lang('After 1 Year')); ?></option>
                                </select>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="card mb-3">
            <div class="card-header">
                <?php echo e(admin_lang('Colors')); ?>

            </div>
            <div class="card-body">
                <div class="row g-3 mb-2">
                    <?php $__currentLoopData = $settings->colors; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <div class="col-lg-3">
                            <label class="form-label capitalize"><?php echo e(str_replace('_', ' ', $key)); ?> : <span
                                    class="red">*</span></label>
                            <div class="vironeer-color-picker input-group">
                                <span class="input-group-text colorpicker-input-addon">
                                    <i></i>
                                </span>
                                <input type="text" name="colors[<?php echo e($key); ?>]" class="form-control"
                                    value="<?php echo e($value); ?>" required>
                            </div>
                        </div>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </div>
            </div>
        </div>
        <div class="card mb-3">
            <div class="card-header">
                <?php echo e(admin_lang('Actions')); ?>

            </div>
            <div class="card-body">
                <div class="row g-3 mb-2">
                    <div class="col-xl-4">
                        <label class="form-label"><?php echo e(admin_lang('Email Verification')); ?> :</label>
                        <input type="checkbox" name="actions[email_verification_status]" data-toggle="toggle"
                            <?php echo e($settings->actions->email_verification_status ? 'checked' : ''); ?>>
                    </div>
                    <div class="col-xl-4">
                        <label class="form-label"><?php echo e(admin_lang('Website Registration')); ?> :</label>
                        <input type="checkbox" name="actions[registration_status]" data-toggle="toggle"
                            <?php echo e($settings->actions->registration_status ? 'checked' : ''); ?>>
                    </div>
                    <div class="col-xl-4">
                        <label class="form-label"><?php echo e(admin_lang('Force SSL')); ?> : </label>
                        <input type="checkbox" name="actions[force_ssl_status]" data-toggle="toggle"
                            <?php echo e($settings->actions->force_ssl_status ? 'checked' : ''); ?>>
                    </div>
                    <div class="col-xl-4">
                        <label class="form-label"><?php echo e(admin_lang('GDPR Cookie')); ?> : </label>
                        <input type="checkbox" name="actions[gdpr_cookie_status]" data-toggle="toggle"
                            <?php echo e($settings->actions->gdpr_cookie_status ? 'checked' : ''); ?>>
                    </div>
                    <div class="col-xl-4">
                        <label class="form-label"><?php echo e(admin_lang('Website blog')); ?> :</label>
                        <input type="checkbox" name="actions[blog_status]" data-toggle="toggle"
                            <?php echo e($settings->actions->blog_status ? 'checked' : ''); ?>>
                    </div>
                    <div class="col-xl-4">
                        <label class="form-label"><?php echo e(admin_lang('Contact Page')); ?> : </label>
                        <input type="checkbox" name="actions[contact_page]" data-toggle="toggle"
                            data-on="<?php echo e(admin_lang('Enable')); ?>" data-off="<?php echo e(admin_lang('Disable')); ?>"
                            <?php echo e($settings->actions->contact_page ? 'checked' : ''); ?>>
                    </div>
                    <div class="col-xl-3">
                        <label class="form-label"><?php echo e(admin_lang('Features Page')); ?> : </label>
                        <input type="checkbox" name="actions[features_page]" data-toggle="toggle"
                            data-on="<?php echo e(admin_lang('Enable')); ?>" data-off="<?php echo e(admin_lang('Disable')); ?>"
                            <?php echo e($settings->actions->features_page ? 'checked' : ''); ?>>
                    </div>
                    <div class="col-xl-3">
                        <label class="form-label"><?php echo e(admin_lang('FAQs Status')); ?> : </label>
                        <input type="checkbox" name="actions[faqs_status]" data-toggle="toggle"
                            <?php echo e($settings->actions->faqs_status ? 'checked' : ''); ?>>
                    </div>
                    <div class="col-xl-3">
                        <label class="form-label"><?php echo e(admin_lang('Include language code in URL')); ?> : </label>
                        <input type="checkbox" name="actions[language_type]" data-toggle="toggle"
                            data-on="<?php echo e(admin_lang('Yes')); ?>" data-off="<?php echo e(admin_lang('No')); ?>"
                            <?php echo e($settings->actions->language_type ? 'checked' : ''); ?>>
                    </div>
                    <div class="col-xl-3">
                        <label class="form-label"><?php echo e(admin_lang('Navbar Language Menu')); ?> : </label>
                        <input type="checkbox" name="actions[language_menu_status]" data-toggle="toggle"
                            data-on="<?php echo e(admin_lang('Show')); ?>" data-off="<?php echo e(admin_lang('Hide')); ?>"
                            <?php echo e($settings->actions->language_menu_status ? 'checked' : ''); ?>>
                    </div>
                </div>
            </div>
        </div>
        <div class="card mb-3">
            <div class="card-header">
                <?php echo e(admin_lang('Logo & Favicon')); ?>

            </div>
            <div class="card-body">
                <div class="row">
                    <div class="col-lg-4">
                        <div class="my-3">
                            <div class="vironeer-image-preview bg-light">
                                <img id="vironeer-preview-img-1" src="<?php echo e(asset($settings->media->dark_logo)); ?>">
                            </div>
                        </div>
                        <div class="mb-3">
                            <input id="vironeer-image-targeted-input-1" type="file" name="media[dark_logo]"
                                accept=".jpg, .jpeg, .png, .svg" class="form-control" hidden>
                            <button data-id="1" type="button"
                                class="vironeer-select-image-button btn btn-secondary btn-lg w-100 mb-2"><?php echo e(admin_lang('Choose Dark Logo')); ?></button>
                            <small class="text-muted"><?php echo e(admin_lang('Supported (PNG, JPG, JPEG, SVG)')); ?></small>
                        </div>
                    </div>
                    <div class="col-lg-4">
                        <div class="my-3">
                            <div class="vironeer-image-preview bg-dark">
                                <img id="vironeer-preview-img-2" src="<?php echo e(asset($settings->media->light_logo)); ?>">
                            </div>
                        </div>
                        <div class="mb-3">
                            <input id="vironeer-image-targeted-input-2" type="file" name="media[light_logo]"
                                accept=".jpg, .jpeg, .png, .svg" class="form-control" hidden>
                            <button data-id="2" type="button"
                                class="vironeer-select-image-button btn btn-secondary btn-lg w-100 mb-2"><?php echo e(admin_lang('Choose Light Logo')); ?></button>
                            <small class="text-muted"><?php echo e(admin_lang('Supported (PNG, JPG, JPEG, SVG)')); ?></small>
                        </div>
                    </div>
                    <div class="col-lg-4">
                        <div class="my-3">
                            <div class="vironeer-image-preview bg-light">
                                <img id="vironeer-preview-img-3" src="<?php echo e(asset($settings->media->favicon)); ?>">
                            </div>
                        </div>
                        <div class="mb-3">
                            <input id="vironeer-image-targeted-input-3" type="file" name="media[favicon]"
                                accept=".jpg, .jpeg, .png, .ico" class="form-control" hidden>
                            <button data-id="3" type="button"
                                class="vironeer-select-image-button btn btn-secondary btn-lg w-100 mb-2"><?php echo e(admin_lang('Choose Favicon')); ?></button>
                            <small class="text-muted"><?php echo e(admin_lang('Supported (PNG, JPG, JPEG, ICO)')); ?></small>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="row mb-3">
            <div class="col-lg-6">
                <div class="card">
                    <div class="card-header">
                        <?php echo e(admin_lang('Social Image')); ?> <small
                            class="text-muted"><?php echo e(admin_lang('(og:image)')); ?></small>
                    </div>
                    <div class="card-body">
                        <div class="form-group mb-3">
                            <div class="vironeer-image-preview-box bg-light">
                                <img id="vironeer-preview-img-4" src="<?php echo e(asset($settings->media->social_image)); ?>"
                                    width="100%" height="315px">
                            </div>
                        </div>
                        <div class="mb-3">
                            <input id="vironeer-image-targeted-input-4" type="file" name="media[social_image]"
                                accept="image/jpg, image/jpeg" class="form-control" hidden>
                            <button data-id="4" type="button"
                                class="vironeer-select-image-button btn btn-secondary btn-lg w-100 mb-2"><?php echo e(admin_lang('Choose Social Image')); ?></button>
                            <small class="text-muted">
                                <?php echo e(admin_lang('Supported (JPEG, JPG) Size')); ?> <strong>600x315px.</strong>
                            </small>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </form>
    <?php $__env->startPush('styles_libs'); ?>
        <link rel="stylesheet" href="<?php echo e(asset('assets/vendor/libs/bootstrap-colorpicker/bootstrap-colorpicker.min.css')); ?>">
    <?php $__env->stopPush(); ?>
    <?php $__env->startPush('scripts_libs'); ?>
        <script src="<?php echo e(asset('assets/vendor/libs/bootstrap-colorpicker/bootstrap-colorpicker.min.js')); ?>"></script>
    <?php $__env->stopPush(); ?>
    <?php $__env->startPush('scripts'); ?>
        <script>
            $(function() {
                $('.vironeer-color-picker').colorpicker();
            });
        </script>
    <?php $__env->stopPush(); ?>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('backend.layouts.form', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/duceqbfx/nexli.xyz/Application/resources/views/backend/settings/general.blade.php ENDPATH**/ ?>