<?php $__env->startSection('title', admin_lang('Pricing plans')); ?>
<?php $__env->startSection('link', route('admin.plans.create')); ?>
<?php $__env->startSection('content'); ?>
    <div class="card custom-card custom-tabs mb-3">
        <div class="card-body">
            <ul class="nav nav-pills" role="tablist">
                <li role="presentation">
                    <button class="nav-link active me-2" id="monthly-tab" data-bs-toggle="tab" data-bs-target="#monthly"
                        type="button" role="tab" aria-controls="monthly"
                        aria-selected="true"><?php echo e(admin_lang('Monthly plans')); ?>

                        (<?php echo e(count($monthlyPlans)); ?>)</button>
                </li>
                <li role="presentation">
                    <button class="nav-link me-2" id="yearly-tab" data-bs-toggle="tab" data-bs-target="#yearly"
                        type="button" role="tab" aria-controls="yearly"
                        aria-selected="false"><?php echo e(admin_lang('Yearly plans')); ?>

                        (<?php echo e(count($yearlyPlans)); ?>)</button>
                </li>
            </ul>
        </div>
    </div>
    <div class="card custom-card">
        <div class="tab-content">
            <div class="tab-pane fade show active" id="monthly" role="tabpanel" aria-labelledby="monthly-tab">
                <table class="datatable50 table w-100">
                    <thead>
                        <tr>
                            <th class="tb-w-2x"><?php echo e(admin_lang('#')); ?></th>
                            <th class="tb-w-3x"><?php echo e(admin_lang('Name')); ?></th>
                            <th class="tb-w-3x"><?php echo e(admin_lang('Price')); ?></th>
                            <th class="tb-w-3x"><?php echo e(admin_lang('Interval')); ?></th>
                            <th class="tb-w-3x"><?php echo e(admin_lang('Total Images')); ?></th>
                            <th class="tb-w-3x"><?php echo e(admin_lang('Created date')); ?></th>
                            <th></th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php $__currentLoopData = $monthlyPlans; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $plan): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr class="item">
                                <td><?php echo e($plan->id); ?></td>
                                <td>
                                    <a href="<?php echo e(route('admin.plans.edit', $plan->id)); ?>" class="text-dark">
                                        <?php echo e($plan->name); ?>

                                        <?php echo e($plan->isFeatured() ? '(' . admin_lang('Featured') . ')' : ''); ?>

                                    </a>
                                </td>
                                <td>
                                    <strong>
                                        <?php if($plan->isFree()): ?>
                                            <span class="text-success"><?php echo e(admin_lang('Free')); ?></span>
                                        <?php else: ?>
                                            <span class="text-dark"><?php echo e(priceSymbolCode($plan->price)); ?></span>
                                        <?php endif; ?>
                                    </strong>
                                </td>
                                <td><?php echo e(admin_lang('Monthly')); ?></td>
                                <td><?php echo e(number_format($plan->images)); ?></td>
                                <td><?php echo e(dateFormat($plan->created_at)); ?></td>
                                <td>
                                    <div class="text-end">
                                        <button type="button" class="btn btn-sm rounded-3" data-bs-toggle="dropdown"
                                            aria-expanded="true">
                                            <i class="fa fa-ellipsis-v fa-sm text-muted"></i>
                                        </button>
                                        <ul class="dropdown-menu dropdown-menu-sm-end" data-popper-placement="bottom-end">
                                            <li>
                                                <a class="dropdown-item"
                                                    href="<?php echo e(route('admin.plans.edit', $plan->id)); ?>"><i
                                                        class="fa fa-edit me-2"></i><?php echo e(admin_lang('Edit')); ?></a>
                                            </li>
                                            <li>
                                                <hr class="dropdown-divider" />
                                            </li>
                                            <li>
                                                <form action="<?php echo e(route('admin.plans.destroy', $plan->id)); ?>"
                                                    method="POST">
                                                    <?php echo csrf_field(); ?> <?php echo method_field('DELETE'); ?>
                                                    <button class="vironeer-able-to-delete dropdown-item text-danger"><i
                                                            class="far fa-trash-alt me-2"></i><?php echo e(admin_lang('Delete')); ?></button>
                                                </form>
                                            </li>
                                        </ul>
                                    </div>
                                </td>
                            </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tbody>
                </table>
            </div>
            <div class="tab-pane fade" id="yearly" role="tabpanel" aria-labelledby="yearly-tab">
                <table class="datatable50 table w-100">
                    <thead>
                        <tr>
                            <th class="tb-w-2x"><?php echo e(admin_lang('#')); ?></th>
                            <th class="tb-w-3x"><?php echo e(admin_lang('Name')); ?></th>
                            <th class="tb-w-3x"><?php echo e(admin_lang('Price')); ?></th>
                            <th class="tb-w-3x"><?php echo e(admin_lang('Interval')); ?></th>
                            <th class="tb-w-3x"><?php echo e(admin_lang('Total Images')); ?></th>
                            <th class="tb-w-3x"><?php echo e(admin_lang('Created date')); ?></th>
                            <th></th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php $__currentLoopData = $yearlyPlans; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $plan): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr class="item">
                                <td><?php echo e($plan->id); ?></td>
                                <td>
                                    <a href="<?php echo e(route('admin.plans.edit', $plan->id)); ?>" class="text-dark">
                                        <?php echo e($plan->name); ?>

                                        <?php echo e($plan->isFeatured() ? '(' . admin_lang('Featured') . ')' : ''); ?>

                                    </a>
                                </td>
                                <td>
                                    <strong>
                                        <?php if($plan->isFree()): ?>
                                            <span class="text-success"><?php echo e(admin_lang('Free')); ?></span>
                                        <?php else: ?>
                                            <span class="text-dark"><?php echo e(priceSymbolCode($plan->price)); ?></span>
                                        <?php endif; ?>
                                    </strong>
                                </td>
                                <td><?php echo e(admin_lang('Yearly')); ?></td>
                                <td><?php echo e(number_format($plan->images)); ?></td>
                                <td><?php echo e(dateFormat($plan->created_at)); ?></td>
                                <td>
                                    <div class="text-end">
                                        <button type="button" class="btn btn-sm rounded-3" data-bs-toggle="dropdown"
                                            aria-expanded="true">
                                            <i class="fa fa-ellipsis-v fa-sm text-muted"></i>
                                        </button>
                                        <ul class="dropdown-menu dropdown-menu-sm-end" data-popper-placement="bottom-end">
                                            <li>
                                                <a class="dropdown-item"
                                                    href="<?php echo e(route('admin.plans.edit', $plan->id)); ?>"><i
                                                        class="fa fa-edit me-2"></i><?php echo e(admin_lang('Edit')); ?></a>
                                            </li>
                                            <li>
                                                <hr class="dropdown-divider" />
                                            </li>
                                            <li>
                                                <form action="<?php echo e(route('admin.plans.destroy', $plan->id)); ?>"
                                                    method="POST">
                                                    <?php echo csrf_field(); ?> <?php echo method_field('DELETE'); ?>
                                                    <button class="vironeer-able-to-delete dropdown-item text-danger"><i
                                                            class="far fa-trash-alt me-2"></i><?php echo e(admin_lang('Delete')); ?></button>
                                                </form>
                                            </li>
                                        </ul>
                                    </div>
                                </td>
                            </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tbody>
                </table>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('backend.layouts.grid', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/duceqbfx/nexli.xyz/Application/resources/views/backend/plans/index.blade.php ENDPATH**/ ?>