<?php $__env->startSection('title', lang('Sign Up', 'auth')); ?>
<?php $__env->startSection('content'); ?>
    <div class="sign-box sign-box-wide">
        <h4><?php echo e(lang('Sign Up', 'auth')); ?></h4>
        <p class="text-muted fw-light mb-4"><?php echo e(lang('Enter your details to create an account.', 'auth')); ?>.</p>
        <form action="<?php echo e(route('register')); ?>" method="POST">
            <?php echo csrf_field(); ?>
            <div class="row row-cols-1 row-cols-md-2 g-3 mb-3">
                <div class="col">
                    <label class="form-label"><?php echo e(lang('First Name', 'forms')); ?></label>
                    <input type="firstname" name="firstname" class="form-control form-control-md"
                        value="<?php echo e(old('firstname')); ?>" placeholder="<?php echo e(lang('First Name', 'forms')); ?>" maxlength="50"
                        required>
                </div>
                <div class="col">
                    <label class="form-label"><?php echo e(lang('Last Name', 'forms')); ?></label>
                    <input id="lastname" type="lastname" name="lastname" class="form-control form-control-md"
                        value="<?php echo e(old('lastname')); ?>" placeholder="<?php echo e(lang('Last Name', 'forms')); ?>" maxlength="50"
                        required>
                </div>
            </div>
            <div class="mb-3">
                <label class="form-label"><?php echo e(lang('Email address', 'forms')); ?></label>
                <input type="email" name="email" class="form-control form-control-md" value="<?php echo e(old('email')); ?>"
                    placeholder="<?php echo e(lang('Email address', 'forms')); ?>" required>
            </div>
            <div class="mb-3">
                <label class="form-label"><?php echo e(lang('Password', 'forms')); ?>

                </label>
                <input type="password" name="password" class="form-control form-control-md"
                    placeholder="<?php echo e(lang('Password', 'forms')); ?>" minlength="8" required>
            </div>
            <div class="mb-3">
                <label class="form-label"><?php echo e(lang('Confirm password', 'forms')); ?>

                </label>
                <input type="password" name="password_confirmation" class="form-control form-control-md"
                    placeholder="<?php echo e(lang('Confirm password', 'forms')); ?>" minlength="8" required>
            </div>
            <?php if($settings->general->terms_of_service_link): ?>
                <div class="mb-3">
                    <div class="form-check">
                        <input id="terms" name="terms" class="form-check-input" type="checkbox"
                            <?php echo e(old('terms') ? 'checked' : ''); ?> required>
                        <label class="form-check-label">
                            <?php echo e(lang('I agree to the', 'auth')); ?> <a href="<?php echo e($settings->general->terms_of_service_link); ?>"
                                class="link link-primary"><?php echo e(lang('terms of service', 'auth')); ?></a>
                        </label>
                    </div>
                </div>
            <?php endif; ?>
            <?php echo display_captcha(); ?>

            <button class="btn btn-primary btn-md w-100"><?php echo e(lang('Sign Up', 'auth')); ?></button>
        </form>
        <?php echo facebook_login(); ?>

    </div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('frontend.layouts.auth', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/duceqbfx/nexli.xyz/Application/resources/views/frontend/auth/register.blade.php ENDPATH**/ ?>