<?php $__env->startSection('title', admin_lang('Generated Images')); ?>
<?php $__env->startSection('container', 'container-max-xxl'); ?>
<?php $__env->startSection('content'); ?>
    <div class="row row-cols-1 row-cols-sm-2 row-cols-md-2 row-cols-xl-2 row-cols-xxl-2 g-3 mb-3">
        <div class="col">
            <div class="counter-card-v c-purple">
                <div class="counter-card-icon">
                    <i class="fa fa-users"></i>
                </div>
                <div class="counter-card-info">
                    <p class="counter-card-title"><?php echo e(admin_lang('Users Images')); ?></p>
                    <p class="counter-card-number"><?php echo e(number_format($widget['users_images'])); ?></p>
                </div>
            </div>
        </div>
        <div class="col">
            <div class="counter-card-v c-orange">
                <div class="counter-card-icon">
                    <i class="fas fa-user-slash"></i>
                </div>
                <div class="counter-card-info">
                    <p class="counter-card-title"><?php echo e(admin_lang('Guests Images')); ?></p>
                    <p class="counter-card-number"><?php echo e(number_format($widget['guests_images'])); ?></p>
                </div>
            </div>
        </div>
    </div>
    <div class="card custom-card">
        <div class="card-header p-3 border-bottom-small">
            <form class="multiple-select-search-form" action="<?php echo e(request()->url()); ?>" method="GET">
                <div class="input-group vironeer-custom-input-group">
                    <input type="text" name="search" class="form-control" placeholder="<?php echo e(admin_lang('Search...')); ?>"
                        value="<?php echo e(request()->input('search') ?? ''); ?>" required>
                    <button class="btn btn-secondary" type="submit">
                        <i class="fa fa-search"></i>
                    </button>
                    <?php if(request()->input('search')): ?>
                        <a href="<?php echo e(request()->url()); ?>" class="btn btn-secondary"><?php echo e(admin_lang('View All')); ?></a>
                    <?php endif; ?>
                </div>
            </form>
            <form class="multiple-select-delete-form d-none" action="<?php echo e(route('admin.images.multiDelete')); ?>"
                method="POST">
                <?php echo csrf_field(); ?>
                <input type="hidden" name="delete_ids" class="multiple-select-delete-ids" value="">
                <button class="vironeer-able-to-delete btn btn-danger"><i
                        class="far fa-trash-alt me-2"></i><?php echo e(admin_lang('Delete Selected')); ?></button>
            </form>
        </div>
        <?php if($generatedImages->count() > 0): ?>
            <div class="table-responsive">
                <table class="vironeer-normal-table table w-100">
                    <thead>
                        <tr>
                            <th class="tb-w-3x">
                                <input class="multiple-select-check-all form-check-input" type="checkbox">
                            </th>
                            <th class="tb-w-20x"><?php echo e(admin_lang('Image details')); ?></th>
                            <th class="tb-w-7x text-center"><?php echo e(admin_lang('Generated by')); ?></th>
                            <th class="tb-w-3x text-center"><?php echo e(admin_lang('Downloads')); ?></th>
                            <th class="tb-w-3x text-center"><?php echo e(admin_lang('Views')); ?></th>
                            <th class="tb-w-3x text-center"><?php echo e(admin_lang('Storage')); ?></th>
                            <th class="tb-w-3x text-center"><?php echo e(admin_lang('Expiration')); ?></th>
                            <th class="tb-w-3x text-center"><?php echo e(admin_lang('Upload date')); ?></th>
                            <th class="tb-w-3x text-center"><?php echo e(admin_lang('Visibility')); ?></th>
                            <th class="text-end"><i class="fas fa-sliders-h me-1"></i></th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php $__currentLoopData = $generatedImages; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $generatedImage): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <tr>
                                <td>
                                    <input class="form-check-input multiple-select-checkbox"
                                        data-id="<?php echo e($generatedImage->id); ?>" type="checkbox">
                                </td>
                                <td>
                                    <div class="vironeer-content-box">
                                        <a class="vironeer-content-image text-center"
                                            href="<?php echo e(route('admin.images.edit', $generatedImage->id)); ?>">
                                            <img src="<?php echo e($generatedImage->getThumbnailLink()); ?>"
                                                alt="<?php echo e($generatedImage->prompt); ?>">
                                        </a>
                                        <div>
                                            <a class="text-reset"
                                                href="<?php echo e(route('admin.images.edit', $generatedImage->id)); ?>"><?php echo e(shortertext($generatedImage->prompt, 50)); ?></a>
                                            <p class="text-muted mb-0">
                                                <?php echo e($generatedImage->size); ?></p>
                                        </div>
                                    </div>
                                </td>
                                <td class="text-center">
                                    <?php if($generatedImage->user): ?>
                                        <a href="<?php echo e(route('admin.users.edit', $generatedImage->user->id)); ?>"
                                            class="text-dark">
                                            <i class="fa fa-user me-1"></i>
                                            <?php echo e($generatedImage->user->name); ?>

                                        </a>
                                    <?php else: ?>
                                        <i class="text-muted"><?php echo e(admin_lang('Guest')); ?></i>
                                    <?php endif; ?>
                                </td>
                                <td class="text-center"><?php echo e(formatNumber($generatedImage->downloads)); ?></td>
                                <td class="text-center"><?php echo e(formatNumber($generatedImage->views)); ?></td>
                                <td class="text-center">
                                    <?php if($generatedImage->storageProvider->alias == 'local'): ?>
                                        <span><i
                                                class="fas fa-server me-2"></i><?php echo e($generatedImage->storageProvider->alias); ?></span>
                                    <?php else: ?>
                                        <a class="text-dark capitalize"
                                            href="<?php echo e(route('admin.settings.storage.edit', $generatedImage->storageProvider->id)); ?>">
                                            <i class="fas fa-server me-2"></i><?php echo e($generatedImage->storageProvider->alias); ?>

                                        </a>
                                    <?php endif; ?>
                                </td>
                                <td class="text-center">
                                    <?php echo e($generatedImage->expiry_at ? dateFormat($generatedImage->expiry_at) : admin_lang('Unlimited time')); ?>

                                </td>
                                <td class="text-center"><?php echo e(dateFormat($generatedImage->created_at)); ?></td>
                                <td class="text-center">
                                    <?php if($generatedImage->visibility): ?>
                                        <span class="badge bg-success"><?php echo e(admin_lang('Public')); ?></span>
                                    <?php else: ?>
                                        <span class="badge bg-danger"><?php echo e(admin_lang('Private')); ?></span>
                                    <?php endif; ?>
                                </td>
                                <td>
                                    <div class="text-end">
                                        <button type="button" class="btn btn-sm rounded-3" data-bs-toggle="dropdown"
                                            aria-expanded="true">
                                            <i class="fa fa-ellipsis-v fa-sm text-muted"></i>
                                        </button>
                                        <ul class="dropdown-menu dropdown-menu-md-end dropdown-menu-lg"
                                            data-popper-placement="bottom-end">
                                            <?php if($generatedImage->visibility): ?>
                                                <li>
                                                    <a class="dropdown-item" target="_blank"
                                                        href="<?php echo e(route('images.show', hashid($generatedImage->id))); ?>"><i
                                                            class="fas fa-external-link-alt me-2"></i><?php echo e(admin_lang('Preview')); ?></a>
                                                </li>
                                            <?php endif; ?>
                                            <li>
                                                <a class="dropdown-item"
                                                    href="<?php echo e(route('admin.images.download', $generatedImage->id)); ?>"><i
                                                        class="fas fa-download me-2"></i><?php echo e(admin_lang('Download')); ?></a>
                                            </li>
                                            <li>
                                                <a class="dropdown-item"
                                                    href="<?php echo e(route('admin.images.edit', $generatedImage->id)); ?>"><i
                                                        class="fas fa-edit me-2"></i><?php echo e(admin_lang('Image Details')); ?></a>
                                            </li>
                                            <li>
                                                <hr class="dropdown-divider" />
                                            </li>
                                            <li>
                                                <form action="<?php echo e(route('admin.images.destroy', $generatedImage->id)); ?>"
                                                    method="POST">
                                                    <?php echo csrf_field(); ?> <?php echo method_field('DELETE'); ?>
                                                    <button class="vironeer-able-to-delete dropdown-item text-danger"><i
                                                            class="far fa-trash-alt me-2"></i><?php echo e(admin_lang('Delete')); ?></button>
                                                </form>
                                            </li>
                                        </ul>
                                    </div>
                                </td>
                            </tr>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    </tbody>
                </table>
            </div>
        <?php else: ?>
            <?php echo $__env->make('backend.includes.empty', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
        <?php endif; ?>
    </div>
    <?php echo e($generatedImages->links()); ?>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('backend.layouts.grid', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/belophhp/public_html/Application/resources/views/backend/Images/index.blade.php ENDPATH**/ ?>