<?php $__env->startSection('section', admin_lang('Settings')); ?>
<?php $__env->startSection('title', admin_lang('Edit | ') . $apiProvider->name); ?>
<?php $__env->startSection('back', route('admin.settings.api-providers.index')); ?>
<?php $__env->startSection('container', 'container-max-lg'); ?>
<?php $__env->startSection('content'); ?>
    <form id="vironeer-submited-form" action="<?php echo e(route('admin.settings.api-providers.update', $apiProvider->id)); ?>"
        method="POST">
        <?php echo csrf_field(); ?>
        <div class="card custom-card mb-4">
            <div class="card-body">
                <div class="vironeer-file-preview-box bg-light mb-3 p-4 text-center">
                    <div class="file-preview-box mb-3">
                        <img id="filePreview" src="<?php echo e(asset($apiProvider->logo)); ?>" height="100">
                    </div>
                </div>
                <div class="row g-3 mb-3">
                    <div class="col-lg-6">
                        <label class="form-label"><?php echo e(admin_lang('Name')); ?> : </label>
                        <input class="form-control" value="<?php echo e($apiProvider->name); ?>" readonly>
                    </div>
                    <div class="col-lg-6">
                        <label class="form-label"><?php echo e(admin_lang('Status')); ?> :</label>
                        <input type="checkbox" name="status" data-toggle="toggle"
                            <?php echo e($apiProvider->status ? 'checked' : ''); ?>>
                    </div>
                    <?php $__currentLoopData = $apiProvider->credentials; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $value): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <div class="col-lg-12">
                            <label class="form-label capitalize"><?php echo e(str_replace('_', ' ', $key)); ?> :</label>
                            <input type="text" name="credentials[<?php echo e($key); ?>]"
                                value="<?php echo e(demoMode() ? '' : $value); ?>" class="form-control remove-spaces">
                        </div>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </div>
                <?php echo $apiProvider->instructions; ?>

            </div>
        </div>
        <div class="card custom-card mb-4">
            <div class="card-header"><i class="fas fa-filter me-2"></i><?php echo e(admin_lang('Filters')); ?></div>
            <div class="card-body">
                <p><?php echo e(admin_lang('Enter the words that you do not want to allow to be generated (bad words, sexual words, etc...)')); ?>

                </p>
                <input id="tagsInput" type="text" name="filters" class="form-control"
                    placeholder="<?php echo e(admin_lang('Enter the words')); ?>" value="<?php echo e($apiProvider->filters); ?>">
            </div>
        </div>
        <?php if($apiProvider->hasModels()): ?>
            <div class="card custom-card">
                <div class="card-header d-flex justify-content-between align-items-center">
                    <span><?php echo e($apiProvider->name . admin_lang(' Models')); ?></span>
                    <button id="addModel" type="button" class="btn btn-dark"><i
                            class="fa fa-plus me-2"></i><?php echo e(admin_lang('Add New Model')); ?></button>
                </div>
                <ul id="models" class="list-group list-group-flush">
                    <?php if($apiProvider->models): ?>
                        <?php $__currentLoopData = $apiProvider->models; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $model): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <li id="model_<?php echo e($key); ?>" class="list-group-item p-3">
                                <div class="row g-2">
                                    <div class="col-12 col-xl">
                                        <input type="text" name="models[<?php echo e($key); ?>][name]" class="form-control"
                                            placeholder="<?php echo e(admin_lang('Model name')); ?>" value="<?php echo e($model->name); ?>"
                                            required>
                                    </div>
                                    <div class="col col-xl">
                                        <input type="text" name="models[<?php echo e($key); ?>][id]"
                                            class="form-control remove-spaces" placeholder="<?php echo e(admin_lang('Model id')); ?>"
                                            value="<?php echo e($model->id); ?>" required>
                                    </div>
                                    <div class="col-auto">
                                        <button type="button" class="btn btn-danger remove-model"
                                            data-id="<?php echo e($key); ?>"><i class="far fa-trash-alt"></i></button>
                                    </div>
                                </div>
                            </li>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                    <?php endif; ?>
                </ul>
            </div>
        <?php endif; ?>
    </form>
    <?php $__env->startPush('styles_libs'); ?>
        <link rel="stylesheet" href="<?php echo e(asset('assets/vendor/libs/tags-input/bootstrap-tagsinput.css')); ?>">
    <?php $__env->stopPush(); ?>
    <?php $__env->startPush('scripts_libs'); ?>
        <script src="<?php echo e(asset('assets/vendor/libs/tags-input/bootstrap-tagsinput.min.js')); ?>"></script>
    <?php $__env->stopPush(); ?>
    <?php $__env->startPush('scripts'); ?>
        <script>
            "use strict";
            $(function() {
                let tagsInput = $('#tagsInput');
                tagsInput.tagsinput({
                    cancelConfirmKeysOnEmpty: false
                });
                tagsInput.on('beforeItemAdd', function(event) {
                    if (!/^[a-zA-Z-0-9,]+$/.test(event.item)) {
                        event.cancel = true;
                        toastr.error('<?php echo e(admin_lang('Enter the filters without any symbols')); ?>');
                    }
                });
                let models = $('#models'),
                    addModel = $('#addModel'),
                    totalModels = "<?php echo e($apiProvider->models ? count((array) $apiProvider->models) : 0); ?>";
                addModel.on('click', function() {
                    totalModels++;
                    models.append('<li id="model_' + totalModels + '" class="list-group-item p-3">' +
                        '<div class="row g-2">' +
                        '<div class="col-12 col-xl">' +
                        '<input type="text" name="models[' + totalModels + '][name]" class="form-control"' +
                        'placeholder="<?php echo e(admin_lang('Model name')); ?>" required>' +
                        '</div>' +
                        '<div class="col col-xl">' +
                        '<input type="text" name="models[' + totalModels +
                        '][id]" class="form-control remove-spaces"' +
                        'placeholder="<?php echo e(admin_lang('Model id')); ?>" required>' +
                        '</div>' +
                        '<div class="col-auto">' +
                        '<button type="button" class="btn btn-danger remove-model" data-id="' +
                        totalModels + '">' +
                        '<i class="far fa-trash-alt"></i></button>' +
                        '</div>' +
                        '</div>' +
                        '</li>');
                    window.removeSpaces();
                    $('html, body').animate({
                        scrollTop: $(document).height()
                    }, 100);
                });
                $(document).on('click', '.remove-model', function() {
                    let id = $(this).data('id');
                    $('#model_' + id).remove();
                    totalModels--;
                });
            });
        </script>
    <?php $__env->stopPush(); ?>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('backend.layouts.form', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/belophhp/public_html/Application/resources/views/backend/settings/api-providers/edit.blade.php ENDPATH**/ ?>