<?php $__env->startSection('title', $generatedImage->prompt); ?>
<?php $__env->startSection('description', $generatedImage->prompt); ?>
<?php $__env->startSection('og_image', $generatedImage->getThumbnailLink()); ?>
<?php $__env->startSection('content'); ?>
    <?php echo ads_image_page_image_top(); ?>

    <section class="section py-0">
        <div class="container">
            <div class="section-inner">
                <div class="section-body">
                    <div class="row g-3">
                        <div class="col-lg-8">
                            <div class="card-v h-100">
                                <div class="ai-image-img">
                                    <img class="lazy" data-src="<?php echo e($generatedImage->getMainImageLink()); ?>" class="rounded-3"
                                        alt="<?php echo e($generatedImage->prompt); ?>">
                                    <div class="spinner-border"></div>
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-4">
                            <div class="card-v h-100">
                                <div class="ai-image-details">
                                    <div class="ai-image-details-item">
                                        <p class="ai-image-details-title"><?php echo e(lang('Prompt', 'image page')); ?></p>
                                        <p class="ai-image-details-text text-muted fw-light"><?php echo e($generatedImage->prompt); ?>

                                        </p>
                                    </div>
                                    <?php if($generatedImage->negative_prompt): ?>
                                        <div class="ai-image-details-item">
                                            <p class="ai-image-details-title"><?php echo e(lang('Negative Prompt', 'image page')); ?>

                                            </p>
                                            <p class="ai-image-details-text text-muted fw-light">
                                                <?php echo e($generatedImage->negative_prompt); ?>

                                            </p>
                                        </div>
                                    <?php endif; ?>
                                    <div class="ai-image-details-item flex-row align-items-center justify-content-between">
                                        <p class="ai-image-details-title mb-0"><?php echo e(lang('Created', 'image page')); ?></p>
                                        <p class="ai-image-details-text text-muted fw-light text-end">
                                            <?php echo e(dateFormat($generatedImage->created_at)); ?></p>
                                    </div>
                                    <div class="ai-image-details-item flex-row align-items-center justify-content-between">
                                        <p class="ai-image-details-title mb-0"><?php echo e(lang('Views', 'image page')); ?></p>
                                        <p class="ai-image-details-text text-muted fw-light text-end">
                                            <?php echo e(formatNumber($generatedImage->views)); ?>

                                            <i class="far fa-eye ms-1"></i>
                                        </p>
                                    </div>
                                    <div class="ai-image-details-item flex-row align-items-center justify-content-between">
                                        <p class="ai-image-details-title mb-0"><?php echo e(lang('Downloads', 'image page')); ?></p>
                                        <p class="ai-image-details-text text-muted fw-light text-end">
                                            <?php echo e(formatNumber($generatedImage->downloads)); ?>

                                            <i class="fa-solid fa-download ms-1"></i>
                                        </p>
                                    </div>
                                    <?php if($generatedImage->visibility): ?>
                                        <div class="ai-image-details-item">
                                            <p class="ai-image-details-title"><?php echo e(lang('Share', 'image page')); ?></p>
                                            <div class="share mb-3">
                                                <a href="https://www.facebook.com/sharer/sharer.php?u=<?php echo e(url()->current()); ?>"
                                                    class="social-btn social-facebook" target="_blank">
                                                    <i class="fab fa-facebook-f"></i>
                                                </a>
                                                <a href="https://twitter.com/intent/tweet?text=<?php echo e(url()->current()); ?>"
                                                    class="social-btn social-twitter" target="_blank">
                                                    <i class="fab fa-twitter"></i>
                                                </a>
                                                <a href="https://www.linkedin.com/shareArticle?mini=true&url=<?php echo e(url()->current()); ?>"
                                                    class="social-btn social-linkedin" target="_blank">
                                                    <i class="fab fa-linkedin"></i>
                                                </a>
                                                <a href="https://wa.me/?text=<?php echo e(url()->current()); ?>"
                                                    class="social-btn social-whatsapp" target="_blank">
                                                    <i class="fab fa-whatsapp"></i>
                                                </a>
                                                <a href="http://pinterest.com/pin/create/button/?url=<?php echo e(url()->current()); ?>"
                                                    class="social-btn social-pinterest" target="_blank">
                                                    <i class="fab fa-pinterest"></i>
                                                </a>
                                            </div>
                                            <div class="input-group">
                                                <input id="imageLink" type="text"
                                                    class="form-control form-control-md bg-light"
                                                    value="<?php echo e(route('images.show', hashid($generatedImage->id))); ?>"
                                                    readonly>
                                                <button type="button" class="btn btn-primary btn-md px-3 btn-copy"
                                                    data-clipboard-target="#imageLink">
                                                    <i class="fa-regular fa-clone"></i>
                                                </button>
                                            </div>
                                        </div>
                                        <div class="ai-image-details-item">
                                            <p class="ai-image-details-title"><?php echo e(lang('HTML Code', 'image page')); ?></p>
                                            <div class="textarea-btn">
                                                <textarea id="htmlCode" class="form-control bg-light" rows="5" readonly><img alt="<?php echo e($generatedImage->prompt); ?>" src="<?php echo e($generatedImage->getThumbnailLink()); ?>" /></textarea>
                                                <button class="btn btn-primary btn-copy"
                                                    data-clipboard-target="#htmlCode"><?php echo e(lang('Copy', 'image page')); ?></button>
                                            </div>
                                        </div>
                                    <?php else: ?>
                                        <div class="ai-image-details-item">
                                            <div class="alert alert-danger mb-0" role="alert">
                                                <i class="fa-regular fa-circle-question me-2"></i>
                                                <?php echo e(lang('This Image is private It cannot be shared', 'image page')); ?>

                                            </div>
                                        </div>
                                    <?php endif; ?>
                                    <div class="ai-image-details-item">
                                        <a href="<?php echo e(route('images.download', [hashid($generatedImage->id), $generatedImage->getMainImageName()])); ?>"
                                            class="btn btn-primary btn-md w-100 mb-3"><?php echo e(lang('Download', 'image page')); ?></a>
                                        <?php if(subscription()): ?>
                                            <a href="<?php echo e(route('home', 'prompt=' . $generatedImage->prompt)); ?>"
                                                class="btn btn-light btn-md w-100"><?php echo e(lang('Generate similar', 'image page')); ?></a>
                                        <?php endif; ?>
                                        <?php if(auth()->user() && $generatedImage->user_id == auth()->user()->id): ?>
                                            <form class="mt-3 w-100"
                                                action="<?php echo e(route('user.gallery.destroy', hashid($generatedImage->id))); ?>"
                                                method="POST">
                                                <?php echo csrf_field(); ?>
                                                <?php echo method_field('DELETE'); ?>
                                                <button
                                                    class="btn btn-danger btn-md action-confirm w-100"><?php echo e(lang('Delete', 'image page')); ?></button>
                                            </form>
                                        <?php endif; ?>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <?php echo ads_image_page_center(); ?>

    <?php echo $__env->make('frontend.includes.faqs', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <?php echo $__env->make('frontend.includes.articles', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
    <?php echo ads_image_page_image_bottom(); ?>

    <?php $__env->startPush('styles_libs'); ?>
        <link rel="stylesheet" href="<?php echo e(asset('assets/vendor/libs/aos/aos.min.css')); ?>">
    <?php $__env->stopPush(); ?>
    <?php $__env->startPush('scripts_libs'); ?>
        <script src="<?php echo e(asset('assets/vendor/libs/aos/aos.min.js')); ?>"></script>
        <script src="<?php echo e(asset('assets/vendor/libs/jquery/jquery.lazy.min.js')); ?>"></script>
        <script src="<?php echo e(asset('assets/vendor/libs/clipboard/clipboard.min.js')); ?>"></script>
    <?php $__env->stopPush(); ?>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('frontend.layouts.single', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/duceqbfx/nexli.xyz/Application/resources/views/frontend/images/show.blade.php ENDPATH**/ ?>