<?php $__env->startSection('title', lang('Pricing', 'pages')); ?>
<?php $__env->startSection('content'); ?>
    <?php echo ads_other_pages_top(); ?>

    <div class="section-header mb-5">
        <h1 class="mb-3"><?php echo e(lang('Pricing', 'pages')); ?></h1>
        <p class="fw-light text-muted col-lg-7 mb-0">
            These plans provide access to features like AI-powered image generation, custom output sizes, and quick downloads. The pricing is designed to be flexible, catering to both casual users and professionals.
        </p>
    </div>
    <?php if($yearlyPlans->count() > 0): ?>
        <div class="d-flex justify-content-center mb-5">
            <div class="plan-switcher">
                <span class="plan-switcher-item active"><?php echo e(lang('Monthly', 'plans')); ?></span>
                <span class="plan-switcher-item"><?php echo e(lang('Yearly', 'plans')); ?></span>
            </div>
        </div>
    <?php endif; ?>
    <div class="plans">
        <div class="plans-item active">
            <div class="row row-cols-1 row-cols-md-2 row-cols-xl-3 justify-content-center align-items-center g-3">
                <?php $__currentLoopData = $monthlyPlans; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $plan): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <div class="col">
                        <div class="plan <?php echo e($plan->isFeatured() ? 'pro' : ''); ?>">
                            <div class="plan-header">
                                <h3><?php echo e($plan->name); ?></h3>
                                <p><?php echo e($plan->short_description); ?></p>
                            </div>
                            <div class="plan-body">
                                <div class="plan-price">
                                    <?php if($plan->isFree()): ?>
                                        <p class="mb-0"><?php echo e(lang('Free', 'plans')); ?></p>
                                    <?php else: ?>
                                        <p class="mb-0"><?php echo e(priceSymbol($plan->price)); ?></p>
                                        <span>/<?php echo e(formatInterval($plan->interval)); ?></span>
                                    <?php endif; ?>
                                </div>
                                <div class="plan-features">
                                    <div class="plan-feature">
                                        <i class="fa fa-check"></i>
                                        <span><?php echo str_replace(
                                            '{total_images}',
                                            '<strong>' . number_format($plan->images) . '</strong>',
                                            lang('Generate {total_images} Images', 'plans'),
                                        ); ?></span>
                                    </div>
                                    <div class="plan-feature">
                                        <i class="fa fa-check"></i>
                                        <span><?php echo str_replace(
                                            '{max_images}',
                                            '<strong>' . number_format($plan->max_images) . '</strong>',
                                            lang('{max_images} Images per request', 'plans'),
                                        ); ?></span>
                                    </div>
                                    <div class="plan-feature">
                                        <i class="fa fa-check"></i>
                                        <?php if($plan->expiration == 1): ?>
                                            <span><?php echo e(str_replace('{day}', number_format($plan->expiration), lang('Images Available For {day} day', 'plans'))); ?></span>
                                        <?php elseif($plan->expiration > 1): ?>
                                            <span><?php echo e(str_replace('{days}', number_format($plan->expiration), lang('Images Available For {days} days', 'plans'))); ?></span>
                                        <?php else: ?>
                                            <span><?php echo e(lang('Images Available For Unlimited Time', 'plans')); ?></span>
                                        <?php endif; ?>
                                    </div>
                                    <div class="plan-feature">
                                        <i class="fa fa-check"></i>
                                        <?php
                                            $sizes = null;
                                            $i = 0;
                                            foreach ($plan->sizes as $size) {
                                                if (++$i === count($plan->sizes)) {
                                                    $sizes .= $size;
                                                } else {
                                                    $sizes .= "{$size}, ";
                                                }
                                            }
                                        ?>
                                        <span>
                                            <span><?php echo str_replace('{sizes}', $sizes, lang('Sizes : {sizes}', 'plans')); ?></span>
                                        </span>
                                    </div>
                                    <?php if(!$plan->advertisements): ?>
                                        <div class="plan-feature">
                                            <i class="fa fa-check"></i>
                                            <span><?php echo e(lang('No Advertisements', 'plans')); ?></span>
                                        </div>
                                    <?php endif; ?>
                                    <?php if(!$plan->watermark): ?>
                                        <div class="plan-feature">
                                            <i class="fa fa-check"></i>
                                            <span><?php echo e(lang('No Watermark', 'plans')); ?></span>
                                        </div>
                                    <?php endif; ?>
                                    <?php if($plan->custom_features): ?>
                                        <?php $__currentLoopData = $plan->custom_features; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $customFeature): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <div class="plan-feature">
                                                <i class="fa fa-check"></i>
                                                <span><?php echo e($customFeature->name); ?></span>
                                            </div>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    <?php endif; ?>
                                </div>
                            </div>
                            <div class="plan-footer">
                                <?php echo planButton($plan); ?>

                            </div>
                        </div>
                    </div>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </div>
        </div>
        <?php if($yearlyPlans->count() > 0): ?>
            <div class="plans-item">
                <div class="row row-cols-1 row-cols-md-2 row-cols-xl-3 justify-content-center align-items-center g-3">
                    <?php $__currentLoopData = $yearlyPlans; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $plan): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <div class="col">
                            <div class="plan <?php echo e($plan->isFeatured() ? 'pro' : ''); ?>">
                                <div class="plan-header">
                                    <h3><?php echo e($plan->name); ?></h3>
                                    <p><?php echo e($plan->short_description); ?></p>
                                </div>
                                <div class="plan-body">
                                    <div class="plan-price">
                                        <?php if($plan->isFree()): ?>
                                            <p class="mb-0"><?php echo e(lang('Free', 'plans')); ?></p>
                                        <?php else: ?>
                                            <p class="mb-0"><?php echo e(priceSymbol($plan->price)); ?></p>
                                            <span>/<?php echo e(formatInterval($plan->interval)); ?></span>
                                        <?php endif; ?>
                                    </div>
                                    <div class="plan-features">
                                        <div class="plan-feature">
                                            <i class="fa fa-check"></i>
                                            <span><?php echo str_replace(
                                                '{total_images}',
                                                '<strong>' . number_format($plan->images) . '</strong>',
                                                lang('Generate {total_images} Images', 'plans'),
                                            ); ?></span>
                                        </div>
                                        <div class="plan-feature">
                                            <i class="fa fa-check"></i>
                                            <span><?php echo str_replace(
                                                '{max_images}',
                                                '<strong>' . number_format($plan->max_images) . '</strong>',
                                                lang('{max_images} Images per request', 'plans'),
                                            ); ?></span>
                                        </div>
                                        <div class="plan-feature">
                                            <i class="fa fa-check"></i>
                                            <?php if($plan->expiration == 1): ?>
                                                <span><?php echo e(str_replace('{day}', number_format($plan->expiration), lang('Images Available For {day} day', 'plans'))); ?></span>
                                            <?php elseif($plan->expiration > 1): ?>
                                                <span><?php echo e(str_replace('{days}', number_format($plan->expiration), lang('Images Available For {days} days', 'plans'))); ?></span>
                                            <?php else: ?>
                                                <span><?php echo e(lang('Images Available For Unlimited Time', 'plans')); ?></span>
                                            <?php endif; ?>
                                        </div>
                                        <div class="plan-feature">
                                            <i class="fa fa-check"></i>
                                            <?php
                                                $sizes = null;
                                                $i = 0;
                                                foreach ($plan->sizes as $size) {
                                                    if (++$i === count($plan->sizes)) {
                                                        $sizes .= $size;
                                                    } else {
                                                        $sizes .= "{$size}, ";
                                                    }
                                                }
                                            ?>
                                            <span>
                                                <span><?php echo str_replace('{sizes}', $sizes, lang('Sizes : {sizes}', 'plans')); ?></span>
                                            </span>
                                        </div>
                                        <?php if(!$plan->advertisements): ?>
                                            <div class="plan-feature">
                                                <i class="fa fa-check"></i>
                                                <span><?php echo e(lang('No Advertisements', 'plans')); ?></span>
                                            </div>
                                        <?php endif; ?>
                                        <?php if(!$plan->watermark): ?>
                                            <div class="plan-feature">
                                                <i class="fa fa-check"></i>
                                                <span><?php echo e(lang('No Watermark', 'plans')); ?></span>
                                            </div>
                                        <?php endif; ?>
                                        <?php if($plan->custom_features): ?>
                                            <?php $__currentLoopData = $plan->custom_features; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $customFeature): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                <div class="plan-feature">
                                                    <i class="fa fa-check"></i>
                                                    <span><?php echo e($customFeature->name); ?></span>
                                                </div>
                                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                        <?php endif; ?>
                                    </div>
                                </div>
                                <div class="plan-footer">
                                    <?php echo planButton($plan); ?>

                                </div>
                            </div>
                        </div>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </div>
            </div>
        <?php endif; ?>
    </div>
    <?php echo ads_other_pages_bottom(); ?>

<?php $__env->stopSection(); ?>

<?php echo $__env->make('frontend.layouts.single', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/belophhp/public_html/Application/resources/views/frontend/pricing.blade.php ENDPATH**/ ?>